Subject: Re: [PATCH] diff.tcl: fixed alignment of tabs in git-gui diff by using spaces

From: Johannes Sixt <[email-masked]>
Date: Mon, 26 Jan 2026 13:15:26 +0100

Am 26.01.26 um 11:45 schrieb Chris Idema via GitGitGadget:
> From: Chris Idema <[email-masked]>
> 
> Tabs were not properly rendered in TK regardless of tab width settings.

Sorry, I cannot reproduce what I read into this sentence. When I change
the "Tab spacing" option in the Options dialog, the display changes to
the specified tab width. I'm using Tcl/Tk 8.6.

> Converting tab alignment to spaces before rendering in TK fixes this.

Do "Stage Line/Hunk for Commit" still work after this conversion?

-- Hannes